/// <reference types="react" />
import { VirtualOverflowCalcVisibleRectFn } from ".";
export type SimpleVirtualListVProps<ItemT> = {
    items: ItemT[];
    itemHeight: number;
    itemKey: (item: ItemT, itemIndex: number) => string;
    overscanItemsCount?: number;
    renderItem: (item: ItemT, indexIndex: number, contentTopOffset: number) => React.ReactNode;
    calcVisibleRect?: VirtualOverflowCalcVisibleRectFn;
};
export declare function SimpleVirtualListV<ItemT>(props: SimpleVirtualListVProps<ItemT>): import("react/jsx-runtime").JSX.Element;
